List Email Senders
/api/v2/email/senders Base URL https://api.easify.liveBearer token and Accept header required Authentication →
This endpoint is used to retrieve user's email senders.
The user can retrieve the active and verified email senders assigned to them. If no limit is specified, all senders are returned in one response without pagination: links is an empty array and there is no meta object.
There is a rate limit of 60 requests per minute per API token. This limit is shared by all API endpoints except those with their own separate limit (/api/v2/sms/send, /api/v3/sms/send, etc.), so requests to other endpoints also count toward it. If you exceed this limit, you will receive a 429 Too Many Requests status, along with a message indicating when you can try again.
Query Parameters
| limit integer | Number of senders per page (Min :1, Max :50). If not sent, all senders are returned without pagination | Optional |
| page integer | Specific page number for paginated data | Optional |
Example Request and Response
params
{
"limit": 10
}
Success Response:
{
"status": true,
"message": "Email Senders",
"data": [
{
"id": 266,
"from_email": "test@easify.com",
"from_name": "Test Name",
"signature": "",
"footer": ""
}
],
"links": {
"first": "https://api.easify.live/api/v2/email/senders?page=1",
"last": "https://api.easify.live/api/v2/email/senders?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.easify.live/api/v2/email/senders?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://api.easify.live/api/v2/email/senders",
"per_page": 1,
"to": 1,
"total": 1
}
}
Responses
| Case | Status Code | Response |
|---|---|---|
| If the user does not provide a token in the header or provides an invalid token | 401 |
{
"status":false,
"message":"Unauthenticated",
"errors":[]
}
|
| If the user exceeds the allowed rate limit for requests | 429 |
{
"status":false,
"message":"Too many requests. Try again in 59 seconds",
"errors":[]
}
|
| If the user's subscription has ended | 402 |
{
"status":false,"message":"You need to recharge your account to proceed","errors":[]
}
|
| When the user account is inactive | 403 |
{
"status": false,
"message": "Your account is currently inactive.",
"errors": []
}
|
| If the request comes from an IP address or domain that is not on the account's API whitelist | 400 |
{
"status": false,
"message": "Access denied! Your IP or domain is not whitelisted.[ HostName : ] - [ Ip Address : << YOUR_SERVER_IP >>]",
"errors": []
}
|
Code Examples
php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => 'https://api.easify.live/api/v2/email/senders?limit=10',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <> ',
'Accept: application/json',
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;